Debian Bug report logs - #688634
roundcube-sqlite upgrade causes serious data-loss

version graph

Package: roundcube-sqlite; Maintainer for roundcube-sqlite is Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>;

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Mon, 24 Sep 2012 10:45:01 UTC

Severity: serious

Found in version roundcube/0.7.2-4

Fixed in version roundcube/0.7.2-7

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Mon, 24 Sep 2012 10:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Mon, 24 Sep 2012 10:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: roundcube-sqlite upgrade causes serious data-loss
Date: Mon, 24 Sep 2012 12:43:57 +0200
package: roundcube-sqlite
version: 0.7.2-4
severity: critical

Hi,

roundcube-sqlite 0.7.2-4 is a transitional package depending on roundcube-
mysql or -pysql, but without an actual upgrade path, leading to serious data 
loss, eg. user mail stati, user settings and also stuff like addressbook 
contents.

There is a debian/roundcube-sqlite.NEWS stating this, but I dont think this is 
enough. At the very least this must be mentioned in the release notes... 
(upgrade instructions would be better, automatic upgrades the best.)

"#659041 Add SQLite 3.x support" links to 
http://trac.roundcube.net/ticket/1488332, which claims sqlite3 support has 
been added to the 0.9 branch, but I don't think it's helpful for wheezy.


cheers,
	Holger



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 29 Sep 2012 09:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 29 Sep 2012 09:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 29 Sep 2012 11:51:15 +0200
[Message part 1 (text/plain, inline)]
 ❦ 24 septembre 2012 12:43 CEST, Holger Levsen <holger@layer-acht.org> :

> There is a debian/roundcube-sqlite.NEWS stating this, but I dont think this is 
> enough. At the very least this must be mentioned in the release notes... 
> (upgrade instructions would be better, automatic upgrades the best.)

I have asked two users if they could provide instructions or directions
about this. I wait a bit to get an answer for them before doing anything
else.
-- 
Parenthesise to avoid ambiguity.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 688634@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: holger@layer-acht.org
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 24 Nov 2012 15:13:20 +0100 (CET)
Hi Holger,

I stumbled upon this bug report at BSP Essen today and kindy wanted to ask 
you for a follow-up on the issue.

If you do not have the time to provide a reasonable solution yourself, 
feel free to explain your thought on it here and I will look to fix the 
issue!

Cheers,
Nik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 14:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 14:21:08 GMT) Full text and rfc822 format available.

Message #20 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: holger@layer-acht.org, 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 24 Nov 2012 15:19:18 +0100
[Message part 1 (text/plain, inline)]
 ❦ 24 novembre 2012 15:13 CET, Dominik George <nik@naturalnet.de> :

> I stumbled upon this bug report at BSP Essen today and kindy wanted to ask 
> you for a follow-up on the issue.
>
> If you do not have the time to provide a reasonable solution yourself, 
> feel free to explain your thought on it here and I will look to fix the 
> issue!

The perfect solution would be a script to migrate from sqlite to MySQL
(or PostgreSQL). It does not have to do the actuel migration, just to
eat an sqldump from SQLite and turn it into a dump that could be used by
MySQL.
-- 
 /* Identify the flock of penguins.  */
	2.2.16 /usr/src/linux/arch/alpha/kernel/setup.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 14:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 14:39:09 GMT) Full text and rfc822 format available.

Message #25 received at 688634@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Vincent Bernat <bernat@debian.org>
Cc: holger@layer-acht.org, 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 24 Nov 2012 15:34:44 +0100 (CET)
Hi,

> The perfect solution would be a script to migrate from sqlite to MySQL
> (or PostgreSQL). It does not have to do the actuel migration, just to
> eat an sqldump from SQLite and turn it into a dump that could be used by
> MySQL.

So you do not actually plan to have this script run automatically?

I think, as I want to keep the most magical things out for now as it would 
make the unblock process more difficult, that the preinst script should 
actually only dump the database to /var/backups, just as slapd does for 
LDAP when upgrading the package.

How about that?

-nik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 14:57:06 GMT) Full text and rfc822 format available.

Message #30 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: 688634@bugs.debian.org, holger@layer-acht.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 24 Nov 2012 15:56:14 +0100
[Message part 1 (text/plain, inline)]
 ❦ 24 novembre 2012 15:34 CET, Dominik George <nik@naturalnet.de> :

>> The perfect solution would be a script to migrate from sqlite to MySQL
>> (or PostgreSQL). It does not have to do the actuel migration, just to
>> eat an sqldump from SQLite and turn it into a dump that could be used by
>> MySQL.
>
> So you do not actually plan to have this script run automatically?

No, that would be too much difficult since we are using dbconfig-common.

> I think, as I want to keep the most magical things out for now as it would 
> make the unblock process more difficult, that the preinst script should 
> actually only dump the database to /var/backups, just as slapd does for 
> LDAP when upgrading the package.

Actually, upgrading from a version supporting sqlite to a version not
supporting sqlite leaves the sqlite database untouched. There is no real
data-loss. The data is still here but not usable anymore. We can of
course backup the database in /var/backups but that won't change the
situation of the user.

I have asked people that did successfuly upgrade real sqlite databse to
MySQL if they could provide directions or a script but they don't
remember how they did it exactly. If nobody can come up with a script,
we will just have to put a note in the release notes about this. I
personnaly don't think that there are large installations using SQLite
databases.
-- 
Don't sacrifice clarity for small gains in "efficiency".
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 15:06:03 GMT) Full text and rfc822 format available.

Message #35 received at 688634@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Vincent Bernat <bernat@debian.org>
Cc: 688634@bugs.debian.org, holger@layer-acht.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 24 Nov 2012 16:03:56 +0100 (CET)
> I have asked people that did successfuly upgrade real sqlite databse to
> MySQL if they could provide directions or a script but they don't
> remember how they did it exactly. If nobody can come up with a script,
> we will just have to put a note in the release notes about this. I
> personnaly don't think that there are large installations using SQLite
> databases.
> 

Honestly, I think making a release note out of it is the way to go. Admins 
should be capable of migrating the data themselves.

Instructions on how to do that are best kept in the Roundcube wiki, not in 
Debian.

-nik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 15:09:07 GMT) Full text and rfc822 format available.

Message #40 received at 688634@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 24 Nov 2012 16:07:36 +0100
Hi,

On Samstag, 24. November 2012, Vincent Bernat wrote:
> Actually, upgrading from a version supporting sqlite to a version not
> supporting sqlite leaves the sqlite database untouched.

thankfully, yes. (Happened to me recently and I was happy I had not go to 
backups to get roundcube back...)

> I have asked people that did successfuly upgrade real sqlite databse to
> MySQL if they could provide directions or a script but they don't
> remember how they did it exactly. If nobody can come up with a script,
> we will just have to put a note in the release notes about this. I
> personnaly don't think that there are large installations using SQLite
> databases.

I'm not sure how to not read this as: small installations don't matter :-(

Somewhere there must be a script or at least a howto?!


cheers,
	Holger





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 15:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 15:09:08 GMT) Full text and rfc822 format available.

Message #45 received at 688634@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: control@bugs.debian.org
Cc: 688634@bugs.debian.org
Subject: No real data loss
Date: Sat, 24 Nov 2012 16:08:48 +0100 (CET)
severity 688634 normal
kthxbye

I am downgrading the severity of this issue because it does not cause real 
data loss.

-nik



Severity set to 'normal' from 'critical' Request was from Dominik George <nik@naturalnet.de> to control@bugs.debian.org. (Sat, 24 Nov 2012 15:09:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 15:09:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 15:09:34 GMT) Full text and rfc822 format available.

Message #52 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: 688634@bugs.debian.org, holger@layer-acht.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 24 Nov 2012 16:08:41 +0100
[Message part 1 (text/plain, inline)]
 ❦ 24 novembre 2012 16:03 CET, Dominik George <nik@naturalnet.de> :

>> I have asked people that did successfuly upgrade real sqlite databse to
>> MySQL if they could provide directions or a script but they don't
>> remember how they did it exactly. If nobody can come up with a script,
>> we will just have to put a note in the release notes about this. I
>> personnaly don't think that there are large installations using SQLite
>> databases.
>> 
>
> Honestly, I think making a release note out of it is the way to go. Admins 
> should be capable of migrating the data themselves.
>
> Instructions on how to do that are best kept in the Roundcube wiki, not in 
> Debian.

I agree with you. Unless someone comes with some script or instructions,
I will write something for the release notes. I am just waiting a bit to
let a change for someone to come with a fix. I think I will take action
at mid-december.
-- 
Make sure every module hides something.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 15:15:03 GMT) Full text and rfc822 format available.

Message #57 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 24 Nov 2012 16:11:29 +0100
[Message part 1 (text/plain, inline)]
 ❦ 24 novembre 2012 16:07 CET, Holger Levsen <holger@layer-acht.org> :

>> I have asked people that did successfuly upgrade real sqlite databse to
>> MySQL if they could provide directions or a script but they don't
>> remember how they did it exactly. If nobody can come up with a script,
>> we will just have to put a note in the release notes about this. I
>> personnaly don't think that there are large installations using SQLite
>> databases.
>
> I'm not sure how to not read this as: small installations don't matter :-(

Well, I think that there are many installation where there is only one
user with no address book. So, it is just as easy to start from
scratch. But I don't have any number to backup this claim.

Let's just say that I didn't say anything about small installations.

> Somewhere there must be a script or at least a howto?!

I just searched again and didn't find anything about this.
-- 
panic("Foooooooood fight!");
	2.2.16 /usr/src/linux/drivers/scsi/aha1542.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 15:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 15:48:13 GMT) Full text and rfc822 format available.

Message #62 received at 688634@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 688634@bugs.debian.org
Cc: control@bugs.debian.org, Dominik George <nik@naturalnet.de>
Subject: Re: Bug#688634: No real data loss
Date: Sat, 24 Nov 2012 16:45:36 +0100
reassign 688634 roundcube-sqlite 
severity 688634 serious
thanks

On Samstag, 24. November 2012, Dominik George wrote:
> I am downgrading the severity of this issue because it does not cause real
> data loss.

mails + addressbook + settings gone is data loss in my book, and my customers 
actually agree with me.

I'm "fine" with downgrading to important and saying "automatic upgrades are 
not supported" and this is non-issue for new installs. But it does make the 
roundcube-sqlite package in wheezy completly useless.

Maybe reassigning this bug to release-notes is the way to go, but then I think 
pointers to migration notes should still be provided.


cheers,
	Holger



Severity set to 'serious' from 'normal' Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 15:48:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 16:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 16:33:09 GMT) Full text and rfc822 format available.

Message #69 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 688634@bugs.debian.org, control@bugs.debian.org, Dominik George <nik@naturalnet.de>
Subject: Re: Bug#688634: No real data loss
Date: Sat, 24 Nov 2012 17:28:08 +0100
[Message part 1 (text/plain, inline)]
 ❦ 24 novembre 2012 16:45 CET, Holger Levsen <holger@layer-acht.org> :

>> I am downgrading the severity of this issue because it does not cause real
>> data loss.
>
> mails + addressbook + settings gone is data loss in my book, and my customers 
> actually agree with me.
>
> I'm "fine" with downgrading to important and saying "automatic upgrades are 
> not supported" and this is non-issue for new installs. But it does make the 
> roundcube-sqlite package in wheezy completly useless.

Do you suggest to remove the package from wheezy? I have already dones
this but this makes upgrading from squeeze impossible. See this bug:
 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677803
-- 
panic("floppy: Port bolixed.");
	2.2.16 /usr/src/linux/include/asm-sparc/floppy.h
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 24 Nov 2012 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 24 Nov 2012 18:42:05 GMT) Full text and rfc822 format available.

Message #74 received at 688634@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Holger Levsen <holger@layer-acht.org>,688634@bugs.debian.org
Subject: Re: Bug#688634: No real data loss
Date: Sat, 24 Nov 2012 19:39:11 +0100
I still do not see where you have data loss. Your SQLite database, including all of which you claim is lost, is where it always was after the upgrade. If you do not have the skills to dump or migrate it, you sure can ask for help, but not report it as data loss ...

-nik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sun, 25 Nov 2012 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sun, 25 Nov 2012 06:18:03 GMT) Full text and rfc822 format available.

Message #79 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: 688634@bugs.debian.org, Holger Levsen <holger@layer-acht.org>
Subject: Re: Bug#688634: No real data loss
Date: Sun, 25 Nov 2012 07:14:09 +0100
[Message part 1 (text/plain, inline)]
 ❦ 24 novembre 2012 19:39 CET, Dominik George <nik@naturalnet.de> :

> I still do not see where you have data loss. Your SQLite database,
> including all of which you claim is lost, is where it always was after
> the upgrade. If you do not have the skills to dump or migrate it, you
> sure can ask for help, but not report it as data loss ...

Holger reported the bug and I asked for help.
-- 
panic("floppy: Port bolixed.");
	2.2.16 /usr/src/linux/include/asm-sparc/floppy.h
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Tue, 27 Nov 2012 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Lynn <Roger@rilynn.me.uk>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Tue, 27 Nov 2012 15:54:03 GMT) Full text and rfc822 format available.

Message #84 received at 688634@bugs.debian.org (full text, mbox):

From: Roger Lynn <Roger@rilynn.me.uk>
To: Dominik George <nik@naturalnet.de>, 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Tue, 27 Nov 2012 15:25:13 +0000
On 24/11/2012 15:03, Dominik George wrote:
>> I have asked people that did successfuly upgrade real sqlite databse to
>> MySQL if they could provide directions or a script but they don't
>> remember how they did it exactly. If nobody can come up with a script,
>> we will just have to put a note in the release notes about this. I
>> personnaly don't think that there are large installations using SQLite
>> databases.
> 
> Honestly, I think making a release note out of it is the way to go. Admins 
> should be capable of migrating the data themselves.

I installed the sqlite version of Roundcube at work because I don't
understand databases (we are too small to employ a sysadmin, and if we did
we would probably end up with a Windows server). At the rate things are
going my (20) users are going to lose data and I wish I had installed
Squirrelmail as I did at home.

Roger



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Tue, 27 Nov 2012 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Tue, 27 Nov 2012 16:03:05 GMT) Full text and rfc822 format available.

Message #89 received at 688634@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: Roger Lynn <Roger@rilynn.me.uk>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Tue, 27 Nov 2012 16:59:58 +0100 (CET)
> I installed the sqlite version of Roundcube at work because I don't
> understand databases (we are too small to employ a sysadmin, and if we did
> we would probably end up with a Windows server). At the rate things are
> going my (20) users are going to lose data and I wish I had installed
> Squirrelmail as I did at home.

You could ask for help on one of the forums or mailing lists. Dumping 
SQLite and inserting into MySQL is trivial, so you should be going within 
no time.

Again, the BTS is for reporting technical issues, not a support forum.

-nik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Tue, 04 Dec 2012 12:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Tue, 04 Dec 2012 12:27:05 GMT) Full text and rfc822 format available.

Message #94 received at 688634@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 688634@bugs.debian.org
Subject: Re: Bug#688634: No real data loss
Date: Tue, 4 Dec 2012 13:22:38 +0100
Hi Vicent,

On Samstag, 24. November 2012, Vincent Bernat wrote:
> Do you suggest to remove the package from wheezy? 

I think this could be the best way forward. The current situation leads to 
silent breakage, with no indication from apt whatsoever. And, the packages 
providing a working roundcube installation will be removed, and the 
transitional dependend packages are not working.

Having a clear cut, where one activily needs to make apt remove roundcube-
sqlite seems better to me. (Though obviously far from good.)

> I have already dones
> this but this makes upgrading from squeeze impossible. See this bug:
>  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=677803

enotime atm, sorry.


cheers,
	Holger





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 19 Jan 2013 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 19 Jan 2013 12:21:03 GMT) Full text and rfc822 format available.

Message #99 received at 688634@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: 688634@bugs.debian.org
Subject: Bug#688634: roundcube sqlite -> mysql transition hint
Date: Sat, 19 Jan 2013 07:17:36 -0500
I'm also using roundcube-sqlite, so I'm going to have to deal with the 
transition to either roundcube-mysql or roundcube-pgsql.  I found some hints 
from someone that did the transition from sqlite -> mysql back in 2007:

   http://www.howtoforge.com/forums/showpost.php?p=70929&postcount=3

Below I'm going to make some notes in []'s on indented lines to update a 
couple of the commands based on what I see.

------------------------------------------------------------------------

7th May 2007, 07:46
aqua

I tried updating the sqlite database in order for the new roundcube version to 
work work with the current release of roundcube. The original packager of this 
package used sqlite, not sqlite3. So excuting the above SQL statement didn't 
work.

I didn't want to use sqlite or sqlite3, because I am much more comfortable 
with mysql. I will document here what i did to convert my sqlite database to 
mysql, so that myself and my customer don't lose our contacts, etc. This has 
another advantage also, which is that you don't accidently over wright you 
database when you upgrade, and you could use tools like phpmyadmin to 
administer your database.

In theory an SQL dump from one database should be easily imported into 
another, but that is not the case.

1) Find your sqlite database, which lives in 
/home/admispconfig/ispconfig/web/roundcubemail

  [For Debian Squeeze the roundcube sqlite database is in:
   /var/lib/dbconfig-common/sqlite/roundcube/roundcube]

2) Install sqlite. sudo apt-get install sqlite
3) Dump the SQL, but only the insert-statements: sqlite sqlite.db .dump | grep 
'INSERT INTO' > sql.dump That should give you a file with bunch of insert 
statement. Now you have all your data.

   [sqlite roundcube .dump | fgrep 'INSERT INTO' > sql.dump]

4) Look in the current roundcube directory. This should be a folder call SQL. 
In it should be a file called mysql.initial.sql. This file contains the 
information schema for mysql.
5) Create a new database from the ispconfig panel. Using phpmyadmin, upload 
mysql.initial.sql. This should setup your database.
6) Also using phpmyadmin, upload your sql.dump file. Now your database should 
contain all your data. I did have some difficulty with this step though, some 
lines from INSERT INTO identities lines would refuse to be inserted, because 
they would be missing a ') from the end of the line. If phpmyadmin throws and 
error, find the line and fix the mistake. There is no harm from reuploading 
the file again, ie your data won't be duplicated.

7) Until now, we haven't made any drastic changes to your roundcube 
installation. But we will, so make backups, especially your sqlite.db file.

   [s/sqlite.db/roundcube/]

tbc... 

------------------------------------------------------------------------

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 19 Jan 2013 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 19 Jan 2013 14:06:03 GMT) Full text and rfc822 format available.

Message #104 received at 688634@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: Chris.Knadle@coredump.us, 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube sqlite -> mysql transition hint
Date: Sat, 19 Jan 2013 15:02:56 +0100
Hi Chris,

thanks for your howto. Much appreciated!


cheers,
	Holger



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 19 Jan 2013 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris.Knadle@coredump.us:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 19 Jan 2013 17:33:05 GMT) Full text and rfc822 format available.

Message #109 received at 688634@bugs.debian.org (full text, mbox):

From: Chris Knadle <Chris.Knadle@coredump.us>
To: Holger Levsen <holger@layer-acht.org>, 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube sqlite -> mysql transition hint
Date: Sat, 19 Jan 2013 12:28:34 -0500
On Saturday, January 19, 2013 09:02:56, Holger Levsen wrote:
> Hi Chris,

Hi Holger.

> thanks for your howto. Much appreciated!
> 
> cheers,
> 	Holger

It's a start.  If I find anything better I'll be sure to pass it along.

  -- Chris

--
Chris Knadle
Chris.Knadle@coredump.us



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 02 Mar 2013 00:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 02 Mar 2013 00:24:05 GMT) Full text and rfc822 format available.

Message #114 received at 688634@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Fri, 01 Mar 2013 16:17:34 -0800
Hello folks,

After reviewing the bug discussion, I believe the correct thing to do here
is to remove the roundcube-sqlite package from wheezy entirely.  That will
block an upgrade from squeeze by forcing the admin to realize that they
have to switch database backends, which is exactly the desired behavior
(since there's no automated conversion process available).  That's much
better than a release note, since it blocks the upgrade until the admin
decides what they want to do.

Having a transitional package only makes sense when there is an automated
transition available, and there isn't one here.  The admin is going to
have to take manual database actions, so we should fail the upgrade until
they've done that and are prepared for the transition.

Does that make sense?  Do you need any help preparing that for wheezy?

(Of course, in an ideal world there would be an automated upgrade process,
but we're too late in the release cycle to develop one now.)

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 02 Mar 2013 12:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 02 Mar 2013 12:39:05 GMT) Full text and rfc822 format available.

Message #119 received at 688634@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Russ Allbery <rra@debian.org>, 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 2 Mar 2013 13:36:04 +0100
[Message part 1 (text/plain, inline)]
On Fri, Mar  1, 2013 at 16:17:34 -0800, Russ Allbery wrote:

> Hello folks,
> 
> After reviewing the bug discussion, I believe the correct thing to do here
> is to remove the roundcube-sqlite package from wheezy entirely.  That will
> block an upgrade from squeeze by forcing the admin to realize that they
> have to switch database backends, which is exactly the desired behavior
> (since there's no automated conversion process available).  That's much
> better than a release note, since it blocks the upgrade until the admin
> decides what they want to do.
> 
> Having a transitional package only makes sense when there is an automated
> transition available, and there isn't one here.  The admin is going to
> have to take manual database actions, so we should fail the upgrade until
> they've done that and are prepared for the transition.
> 
> Does that make sense?  Do you need any help preparing that for wheezy?
> 
Sounds good to me, fwiw.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 02 Mar 2013 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 02 Mar 2013 14:21:03 GMT) Full text and rfc822 format available.

Message #124 received at 688634@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 2 Mar 2013 15:17:37 +0100
On Samstag, 2. März 2013, Russ Allbery wrote:
> After reviewing the bug discussion, I believe the correct thing to do here
> is to remove the roundcube-sqlite package from wheezy entirely.  That will
> block an upgrade from squeeze by forcing the admin to realize that they
> have to switch database backends, which is exactly the desired behavior
> (since there's no automated conversion process available).  That's much
> better than a release note, since it blocks the upgrade until the admin
> decides what they want to do.

I agree.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 02 Mar 2013 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 02 Mar 2013 20:51:03 GMT) Full text and rfc822 format available.

Message #129 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 02 Mar 2013 21:37:06 +0100
[Message part 1 (text/plain, inline)]
 ❦  2 mars 2013 01:17 CET, Russ Allbery <rra@debian.org> :

> After reviewing the bug discussion, I believe the correct thing to do here
> is to remove the roundcube-sqlite package from wheezy entirely.  That will
> block an upgrade from squeeze by forcing the admin to realize that they
> have to switch database backends, which is exactly the desired behavior
> (since there's no automated conversion process available).  That's much
> better than a release note, since it blocks the upgrade until the admin
> decides what they want to do.
>
> Having a transitional package only makes sense when there is an automated
> transition available, and there isn't one here.  The admin is going to
> have to take manual database actions, so we should fail the upgrade until
> they've done that and are prepared for the transition.
>
> Does that make sense?  Do you need any help preparing that for wheezy?

If we agree this is the best solution (I agree too), despite the fact
that the roundcube-sqlite package was introduced back because of bug
#677803, I will do an upload removing it again in the next days.

Thanks for your input.
-- 
printk("HPFS: Grrrr... Kernel memory corrupted ... going on, but 
        it'll crash very soon :-(\n");
        2.4.3 linux/fs/hpfs/super.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 02 Mar 2013 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 02 Mar 2013 21:33:03 GMT) Full text and rfc822 format available.

Message #134 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 02 Mar 2013 22:30:03 +0100
[Message part 1 (text/plain, inline)]
 ❦  2 mars 2013 21:37 CET, Vincent Bernat <bernat@debian.org> :

>> After reviewing the bug discussion, I believe the correct thing to do here
>> is to remove the roundcube-sqlite package from wheezy entirely.  That will
>> block an upgrade from squeeze by forcing the admin to realize that they
>> have to switch database backends, which is exactly the desired behavior
>> (since there's no automated conversion process available).  That's much
>> better than a release note, since it blocks the upgrade until the admin
>> decides what they want to do.
>>
>> Having a transitional package only makes sense when there is an automated
>> transition available, and there isn't one here.  The admin is going to
>> have to take manual database actions, so we should fail the upgrade until
>> they've done that and are prepared for the transition.
>>
>> Does that make sense?  Do you need any help preparing that for wheezy?
>
> If we agree this is the best solution (I agree too), despite the fact
> that the roundcube-sqlite package was introduced back because of bug
> #677803, I will do an upload removing it again in the next days.

Here is my proposition:
http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube.git;a=commitdiff;h=15f5a10444c9d4c8bf7b3e83a82dd6f9e2a4b384
-- 
panic("kmem_cache_init(): Offsets are wrong - I've been messed with!");
	2.2.16 /usr/src/linux/mm/slab.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 02 Mar 2013 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 02 Mar 2013 23:12:03 GMT) Full text and rfc822 format available.

Message #139 received at 688634@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Vincent Bernat <bernat@debian.org>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 02 Mar 2013 15:09:05 -0800
Vincent Bernat <bernat@debian.org> writes:
>  ❦  2 mars 2013 21:37 CET, Vincent Bernat <bernat@debian.org> :

>> If we agree this is the best solution (I agree too), despite the fact
>> that the roundcube-sqlite package was introduced back because of bug
>> #677803, I will do an upload removing it again in the next days.

> Here is my proposition:
> http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube.git;a=commitdiff;h=15f5a10444c9d4c8bf7b3e83a82dd6f9e2a4b384

This looks correct to me.  Thanks!

In this case, #677803 is actually desired behavior.  (Well, it's not
*desired* in the sense that we'd prefer a transparent automatic upgrade if
possible, but since we don't have one available, it's the desired behavior
among the alternatives that we have.)

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 02 Mar 2013 23:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 02 Mar 2013 23:30:04 GMT) Full text and rfc822 format available.

Message #144 received at 688634@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sun, 3 Mar 2013 00:28:35 +0100
Hi,

On Sonntag, 3. März 2013, Russ Allbery wrote:
> > Here is my proposition:
> > http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube.git;a=commitd
> > iff;h=15f5a10444c9d4c8bf7b3e83a82dd6f9e2a4b384

seems right, yes, but it misses a pointer to instructions how to upgrade to a 
working installation.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688634#99 is just a start, 
but at least that.

I wonder if a pointer there, or somewhere better, could be added.


cheers,
	Holger 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Tue, 05 Mar 2013 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Tue, 05 Mar 2013 17:33:06 GMT) Full text and rfc822 format available.

Message #149 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Tue, 05 Mar 2013 18:28:21 +0100
[Message part 1 (text/plain, inline)]
 ❦  3 mars 2013 00:28 CET, Holger Levsen <holger@layer-acht.org> :

>> > Here is my proposition:
>> > http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube.git;a=commitd
>> > iff;h=15f5a10444c9d4c8bf7b3e83a82dd6f9e2a4b384
>
> seems right, yes, but it misses a pointer to instructions how to upgrade to a 
> working installation.
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688634#99 is just a start, 
> but at least that.
>
> I wonder if a pointer there, or somewhere better, could be added.

OK, I will add this. Meanwhile, I am out skiing for the week. I don't
mind an NMU but if not, I will do it myself on sunday.
-- 
Make sure every module hides something.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 09 Mar 2013 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 09 Mar 2013 22:03:04 GMT) Full text and rfc822 format available.

Message #154 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 09 Mar 2013 23:00:09 +0100
[Message part 1 (text/plain, inline)]
 ❦  3 mars 2013 00:28 CET, Holger Levsen <holger@layer-acht.org> :

>> > Here is my proposition:
>> > http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube.git;a=commitd
>> > iff;h=15f5a10444c9d4c8bf7b3e83a82dd6f9e2a4b384
>
> seems right, yes, but it misses a pointer to instructions how to upgrade to a 
> working installation.
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688634#99 is just a start, 
> but at least that.
>
> I wonder if a pointer there, or somewhere better, could be added.

I will add a minimal page in wiki.debian.net with partial
instructions. ETA: a few days.
-- 
panic("aha1740.c"); /* Goodbye */
	2.2.16 /usr/src/linux/drivers/scsi/aha1740.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 16 Mar 2013 15:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 16 Mar 2013 15:09:15 GMT) Full text and rfc822 format available.

Message #159 received at 688634@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Holger Levsen <holger@layer-acht.org>
Cc: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 16 Mar 2013 16:05:43 +0100
[Message part 1 (text/plain, inline)]
 ❦  3 mars 2013 00:28 CET, Holger Levsen <holger@layer-acht.org> :

>> > Here is my proposition:
>> > http://anonscm.debian.org/gitweb/?p=pkg-roundcube/roundcube.git;a=commitd
>> > iff;h=15f5a10444c9d4c8bf7b3e83a82dd6f9e2a4b384
>
> seems right, yes, but it misses a pointer to instructions how to upgrade to a 
> working installation.
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=688634#99 is just a start, 
> but at least that.
>
> I wonder if a pointer there, or somewhere better, could be added.

So, here is a wiki page with a complete procedure for update.

  http://wiki.debian.org/Roundcube/DeprecationOfSQLitev2

I am uploading a version of Roundcube with the appropriate NEWS entry
pointing to this page.
-- 
Make it right before you make it faster.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>:
Bug#688634; Package roundcube-sqlite. (Sat, 16 Mar 2013 15:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>. (Sat, 16 Mar 2013 15:54:08 GMT) Full text and rfc822 format available.

Message #164 received at 688634@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 688634@bugs.debian.org
Subject: Re: Bug#688634: roundcube-sqlite upgrade causes serious data-loss
Date: Sat, 16 Mar 2013 08:51:57 -0700
Hi Vincent,

On Samstag, 16. März 2013, Vincent Bernat wrote:
> So, here is a wiki page with a complete procedure for update.
>   http://wiki.debian.org/Roundcube/DeprecationOfSQLitev2
> I am uploading a version of Roundcube with the appropriate NEWS entry
> pointing to this page.

awesome, thanks a lot! (On a quick look so far only) this page looks really 
good!


cheers,
	Holger



Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. (Sat, 16 Mar 2013 16:51:11 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Sat, 16 Mar 2013 16:51:11 GMT) Full text and rfc822 format available.

Message #169 received at 688634-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 688634-close@bugs.debian.org
Subject: Bug#688634: fixed in roundcube 0.7.2-7
Date: Sat, 16 Mar 2013 16:48:48 +0000
Source: roundcube
Source-Version: 0.7.2-7

We believe that the bug you reported is fixed in the latest version of
roundcube, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 688634@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated roundcube package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 16 Mar 2013 17:26:20 +0100
Source: roundcube
Binary: roundcube-core roundcube roundcube-mysql roundcube-pgsql roundcube-plugins
Architecture: source all
Version: 0.7.2-7
Distribution: unstable
Urgency: low
Maintainer: Debian Roundcube Maintainers <pkg-roundcube-maintainers@lists.alioth.debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 roundcube  - skinnable AJAX based webmail solution for IMAP servers - metapack
 roundcube-core - skinnable AJAX based webmail solution for IMAP servers
 roundcube-mysql - metapackage providing MySQL dependencies for RoundCube
 roundcube-pgsql - metapackage providing PostgreSQL dependencies for RoundCube
 roundcube-plugins - skinnable AJAX based webmail solution for IMAP servers - plugins
Closes: 688634 699604
Changes: 
 roundcube (0.7.2-7) unstable; urgency=low
 .
   * Fix dependencies to postgresql and postgresql-client. Closes: #699604.
   * Drop roundcube-sqlite transition package since we don't provide an
     automatic upgrade path. The user will have to remove the package by
     herself. Move the related NEWS entry from roundcube-sqlite to
     roundcube-core and explain how to continue upgrade. Closes: #688634.
Checksums-Sha1: 
 562f402ec8556765a0cecd581db6551a31c805bd 2219 roundcube_0.7.2-7.dsc
 dc9e7b32a245ecb0cec559d3fdea92e883feffaf 52933 roundcube_0.7.2-7.debian.tar.gz
 b6fd0e394003213d3852f1881ce4fb93bb57a327 1027490 roundcube-core_0.7.2-7_all.deb
 11908dc0656f34c59733fd12aec3815d8417b854 27464 roundcube_0.7.2-7_all.deb
 cf2e4c99bc6c0bdcaf888322c15f55904560b7e7 27406 roundcube-mysql_0.7.2-7_all.deb
 2fbe69843cba2d8f62223dc79f9b9cd131b580f0 27402 roundcube-pgsql_0.7.2-7_all.deb
 6633016245789a97cfae8b91effaeb5bb31b07c2 322230 roundcube-plugins_0.7.2-7_all.deb
Checksums-Sha256: 
 ba16d9bb75df22421d10f62e29be4ff3b6739e97b0b6c4183b760e8ab5dd5ed6 2219 roundcube_0.7.2-7.dsc
 5410946e922dde11b7a4d27726df6f3f034dc2265367e47370b181ccec16d297 52933 roundcube_0.7.2-7.debian.tar.gz
 2795a72921248c1b24dbf2da7f342f249c616d6f7fce5e0f80f4418ec142c45b 1027490 roundcube-core_0.7.2-7_all.deb
 ab6cdab431370772ce35d4c1e8982f7e4017e67cfad131329c2e7937902266fa 27464 roundcube_0.7.2-7_all.deb
 09768e246d636b96fcdbfa5be22491ffd7b7872c95955541f25820551b273226 27406 roundcube-mysql_0.7.2-7_all.deb
 6d6a5fe3587bf7b167c057ddab8f66c69b46ba12c4ce3d1dba2f47f249b91a92 27402 roundcube-pgsql_0.7.2-7_all.deb
 1f8ad199c88e1d3539403dc2bc3553b9fc7e6b96f236e86dbc3141531d553821 322230 roundcube-plugins_0.7.2-7_all.deb
Files: 
 756f4d5aa488860af78d3a8efb11a468 2219 web extra roundcube_0.7.2-7.dsc
 fb8740400da1cd243c021ba3a8eb18e9 52933 web extra roundcube_0.7.2-7.debian.tar.gz
 81b5fc631bd3811e827440df470891c1 1027490 web extra roundcube-core_0.7.2-7_all.deb
 e25b61a0d3d6d4e9b620dd9b4df181d9 27464 web extra roundcube_0.7.2-7_all.deb
 f15af7455c2bfdd6295251eadb709a7b 27406 web extra roundcube-mysql_0.7.2-7_all.deb
 c948460a4a65029ee30015df7b8f9173 27402 web extra roundcube-pgsql_0.7.2-7_all.deb
 b6a56b87e04408163cf6ff7408376199 322230 web extra roundcube-plugins_0.7.2-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRRJ4XAAoJEJWkL+g1NSX50HwP/1F9sn8uoy9iSeba7qgpByC9
lgJOJse+T1QnYO0EbiMC/xhhMN2kmOewMUnRzRyXUnEAMYMgyqEa7pekdATQCIch
Nq3U3aCokjg6OGYUB4m8Gn5xY1QPSbgJGjyMTZejSSbK7B5qWzHDZmJX/3WwJz5c
RWvYBDlxzUEHCYVZUrN/uQGFo6ohnMbkpNS43UxAmbW5qyr+g4u/aKmdq8WrD+ZN
94oR4dbnzw/MbA+6eQJSl0PbzsNfQHuT8/n1ypS4me7vo7G7UeY62Zmz03vwhzKT
JwqA4XAfLcvhu/njGNdysjCiYuqdPZGVu7c7kEW5F2RKHKGNafyk37AeBJPNDoPs
kuEirpemlRpeOUoSNHJjWdpPJM6wtdWZt3lGZtkG8yIPrMeL2ZPa49oPlHwLeAlm
VdyPZheau+qPkxWgQP5ppNg4BKpEx0iEyZ4awWZ3sT7nrPMD5nHNKGhwQ/QWqNJd
YTAS4Ot3hq5GH7caLhdc6DEA5jeNBWdOWFDj0n6rYUc/aNAnf1GhzHVXlgx6X5wY
mHvgPAbIXGhyd/yHsC3rb5xWIWbjWDZUG+mKWoAtwAix/w0z35z+GurB/Atg5XlK
KTMD2pkF7cVNkbNvZM7rtI8Me80iKt7whMEelJbJDBw5VH2hsShugCu/5RUbK7OK
BhNujqB8mz98jSZLXWRo
=41mx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:39:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:45:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.